Zydis v4.1.1

Loading...
Searching...
No Matches
FPU flags
Decoder

Constants used for testing FPU flags accessed by an instruction. More...

## Macros
#define | ZYDIS_FPUFLAG_C0 (1ul << 0)
| FPU condition-code flag 0.
#define | ZYDIS_FPUFLAG_C1 (1ul << 1)
| FPU condition-code flag 1.
#define | ZYDIS_FPUFLAG_C2 (1ul << 2)
| FPU condition-code flag 2.
#define | ZYDIS_FPUFLAG_C3 (1ul << 3)
| FPU condition-code flag 3.

## Detailed Description

Constants used for testing FPU flags accessed by an instruction.

## Macro Definition Documentation

## ◆ ZYDIS_FPUFLAG_C0

#define ZYDIS_FPUFLAG_C0 (1ul << 0)

FPU condition-code flag 0.

## ◆ ZYDIS_FPUFLAG_C1

#define ZYDIS_FPUFLAG_C1 (1ul << 1)

FPU condition-code flag 1.

## ◆ ZYDIS_FPUFLAG_C2

#define ZYDIS_FPUFLAG_C2 (1ul << 2)

FPU condition-code flag 2.

## ◆ ZYDIS_FPUFLAG_C3

#define ZYDIS_FPUFLAG_C3 (1ul << 3)

FPU condition-code flag 3.